A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

operator+=
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Assignment & Indexing operation on arrays

Adds and assigns the value(s) of val to the elements of the af::array More...

array & | operator+= (const array &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const double &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const cdouble &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const cfloat &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const float &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const int &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const unsigned &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const bool &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const char &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const unsigned char &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const long &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const unsigned long &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const long long &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const unsigned long long &val)
array & | operator+= (const short &val)
| Adds the value(s) of val to the elements of the array.
array & | operator+= (const unsigned short &val)

## Detailed Description

Adds and assigns the value(s) of val to the elements of the af::array

Adds and assigns values

## Function Documentation

## ◆ operator+=() [1/16]

array & operator+= | ( | const array & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [2/16]

array & operator+= | ( | const bool & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [3/16]

array & operator+= | ( | const cdouble & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [4/16]

array & operator+= | ( | const cfloat & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [5/16]

array & operator+= | ( | const char & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [6/16]

array & operator+= | ( | const double & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [7/16]

array & operator+= | ( | const float & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [8/16]

array & operator+= | ( | const int & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [9/16]

array & operator+= | ( | const long & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [10/16]

array & operator+= | ( | const long long & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [11/16]

array & operator+= | ( | const short & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [12/16]

array & operator+= | ( | const unsigned & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [13/16]

array & operator+= | ( | const unsigned char & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [14/16]

array & operator+= | ( | const unsigned long & | val | ) |

Adds the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## ◆ operator+=() [15/16]

array & operator+= | ( | const unsigned long long & | val | ) |

## ◆ operator+=() [16/16]

array & operator+= | ( | const unsigned short & | val | ) |